import { TemplateRef } from '@angular/core';
import { NgForm } from '@angular/forms';
import { IErrorInfo } from '../../components/manager/contracts/error-info';
import { BsModalService } from 'ngx-bootstrap';
import { Observable } from 'rxjs';
import { ModalHandle } from '../../components/manager/contracts/modal-handle';
export declare class ModalFormHostService {
    private modalService;
    constructor(modalService: BsModalService);
    private modalHandles$;
    modalHandles: ModalHandle[];
    current: ModalHandle;
    current$: Observable<ModalHandle>;
    onInit(): void;
    show(content: string | TemplateRef<any>, options: any): void;
    setForm(form: NgForm): void;
    destroyModalRef(): void;
    close(): void;
    error(error?: Partial<IErrorInfo>): void;
}
